ExtractingDocumentLoader (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.extraction.ExtractingDocumentLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.extraction
Class ExtractingDocumentLoader

    java.lang.Object
      org.apache.solr.handler.ContentStreamLoader
          org.apache.solr.handler.extraction.ExtractingDocumentLoader

    public class ExtractingDocumentLoader

extends ContentStreamLoader

The class responsible for loading extracted content into Solr.

Field Summary
`protected org.apache.tika.parser.AutoDetectParser` | `autoDetectParser`
`protected org.apache.tika.config.TikaConfig` | `config`
`protected SolrContentHandlerFactory` | `factory`
`static String` | `TEXT_FORMAT` Extract Only supported format
`static String` | `XML_FORMAT` Extract Only supported format.

Fields inherited from class org.apache.solr.handler.ContentStreamLoader
`errHeader`

Constructor Summary
`ExtractingDocumentLoader(SolrQueryRequest req, UpdateRequestProcessor processor, org.apache.tika.config.TikaConfig config, SolrContentHandlerFactory factory)`

Method Summary
`void` | `load(SolrQueryRequest req, SolrQueryResponse rsp, ContentStream stream)` Loaders are responsible for closing the stream

Methods inherited from class org.apache.solr.handler.ContentStreamLoader
`getErrHeader, setErrHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_FORMAT

    public static final String TEXT_FORMAT

  Extract Only supported format

  See Also:
    Constant Field Values

### XML_FORMAT

    public static final String XML_FORMAT

  Extract Only supported format. Default

  See Also:
    Constant Field Values

### autoDetectParser

    protected org.apache.tika.parser.AutoDetectParser autoDetectParser

### config

    protected org.apache.tika.config.TikaConfig config

### factory

    protected SolrContentHandlerFactory factory

Constructor Detail

### ExtractingDocumentLoader

    public ExtractingDocumentLoader(SolrQueryRequest req,
                                    UpdateRequestProcessor processor,
                                    org.apache.tika.config.TikaConfig config,
                                    SolrContentHandlerFactory factory)

Method Detail

### load

    public void load(SolrQueryRequest req,
                     SolrQueryResponse rsp,
                     ContentStream stream)
              throws IOException

  Description copied from class: `ContentStreamLoader`
  Loaders are responsible for closing the stream

  Specified by:
    `load` in class `ContentStreamLoader`
  Parameters:
    `req` -
    `stream` -
    `rsp` - The response, in case the Loader wishes to add anything
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD